using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities {
    public partial class BemsFactorToe {

        //연료별 TOE 계수
        [Display(Name = "연료 고유번호"), Key]
        public short FuelTypeId { get; set; }
        [Display(Name = "연료에 대한 결합 TOE환산계수"), Required]
        public double TotalFactor { get; set; }
        [Display(Name = "연료에 대한 순수 TOE환산계수"), Required]
        public double PureFactor { get; set; }
        [Display(Name = "연료에 대한 열량 (kcal단위)"), Column("kcal")]
        public double? Kcal { get; set; }

        [ForeignKey("FuelTypeId")]
        public virtual BemsFuelType FuelType { get; set; }
    }
}
